Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Updated README and build matrix

  • Loading branch information...
commit 533d1fd00ba90bb9de45451d8bfb37521ac7d847 1 parent 3e6d055
@ndbroadbent authored
Showing with 18 additions and 6 deletions.
  1. +9 −2 .travis.yml
  2. +9 −4 README.md
View
11 .travis.yml
@@ -1,9 +1,16 @@
language: ruby
script: bundle install; bundle exec rake test
rvm:
- - 1.8.7
- - 1.9.2
- 1.9.3
+ - 1.9.2
+ - 1.8.7
gemfile:
- gemfiles/Gemfile-rails.3.2.0
- gemfiles/Gemfile-rails.3.2.x
+
+matrix:
+ exclude:
+ - rvm: 1.9.2
+ gemfile: gemfiles/Gemfile-rails.3.2.0
+ - rvm: 1.8.7
+ gemfile: gemfiles/Gemfile-rails.3.2.0
View
13 README.md
@@ -1,4 +1,4 @@
-# Turbo Sprockets for Rails 3
+# Turbo Sprockets for Rails 3.2.x
* Speeds up the Rails 3 asset pipeline by only recompiling changed assets
* Generates non-digest assets from precompiled assets - Only compile once!
@@ -11,10 +11,15 @@ a gem for Rails 3.2.x. (See [sprockets-rails #21](https://github.com/rails/sproc
Please test this out thoroughly on your local machine before deploying to a production site, and open an issue on GitHub if you have any problems. By using this software you agree to the terms and conditions in the [MIT license](https://github.com/ndbroadbent/turbo-sprockets-rails3/blob/master/MIT-LICENSE).
-## Dependencies
+## Supported Versions
-* sprockets `~> 2.1.3`
-* railties `~> 3.2.0`
+### Ruby
+
+All versions of Ruby that are supported by Rails 3.2.x, including 1.9.3, 1.9.2, 1.8.7 and REE.
+
+### Rails
+
+This gem only supports Rails `3.2.0` or higher. Rails `3.1.x` support is not available at this time because it depends on a very outdated version of `sprockets`.
## Usage
Please sign in to comment.
Something went wrong with that request. Please try again.